## org.eclipse.datatools.sqltools.editor.template
Class GenericSQLContext

    java.lang.Object
      org.eclipse.jface.text.templates.TemplateContext
          org.eclipse.jface.text.templates.DocumentTemplateContext
              org.eclipse.datatools.sqltools.editor.template.GenericSQLContext

Direct Known Subclasses:
  ASAContext

    public class GenericSQLContext

extends org.eclipse.jface.text.templates.DocumentTemplateContext

Author:
  Hui Cao

Constructor Summary
`GenericSQLContext(org.eclipse.jface.text.templates.TemplateContextType type, org.eclipse.jface.text.IDocument document, int completionOffset, int completionLength, ParsingResult result)`

Method Summary
`boolean` `canEvaluate(org.eclipse.jface.text.templates.Template template)`
`org.eclipse.jface.text.templates.TemplateBuffer` `evaluate(org.eclipse.jface.text.templates.Template template)`
`java.lang.String[]` `getCursorNames()`

Methods inherited from class org.eclipse.jface.text.templates.DocumentTemplateContext
`getCompletionLength, getCompletionOffset, getDocument, getEnd, getKey, getStart`

Methods inherited from class org.eclipse.jface.text.templates.TemplateContext
`getContextType, getVariable, isReadOnly, setReadOnly, setVariable`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### GenericSQLContext

    public GenericSQLContext(org.eclipse.jface.text.templates.TemplateContextType type,
                             org.eclipse.jface.text.IDocument document,
                             int completionOffset,
                             int completionLength,
                             ParsingResult result)

Parameters:
  `type` -
  `document` -
  `completionOffset` -
  `completionLength` -

Method Detail

### getCursorNames

    public java.lang.String[] getCursorNames()

  Returns:

### evaluate

    public org.eclipse.jface.text.templates.TemplateBuffer evaluate(org.eclipse.jface.text.templates.Template template)
                                                             throws org.eclipse.jface.text.BadLocationException,
                                                                    org.eclipse.jface.text.templates.TemplateException

  Overrides:
    `evaluate` in class `org.eclipse.jface.text.templates.DocumentTemplateContext`
  Throws:
    `org.eclipse.jface.text.BadLocationException`
    `org.eclipse.jface.text.templates.TemplateException`

### canEvaluate

    public boolean canEvaluate(org.eclipse.jface.text.templates.Template template)

  Overrides:
    `canEvaluate` in class `org.eclipse.jface.text.templates.DocumentTemplateContext`